View Issue Details

IDProjectCategoryView StatusLast Update
0032585Open CASCADEOCCT:Data Exchangepublic2021-09-25 09:44
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytweak 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032585: Data Exchange, RWGltf_CafWriter - include OCCT version
DescriptionRWGltf_CafWriter should include OCCT version to identify originating system more precisely.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0030953 closedbugmaster Data Exchange - implement export of mesh data into glTF 2.0 format 

Activities

git

2021-09-23 23:53

administrator   ~0104326

Branch CR32585 has been created by kgv.

SHA-1: 4ecea68343c004c7dee780c0176729906be25497


Detailed log of new commits:

Author: kgv
Date: Thu Sep 23 23:52:42 2021 +0300

    0032585: Data Exchange, RWGltf_CafWriter - include OCCT version

kgv

2021-09-24 10:08

developer   ~0104327

Please raise the patch
- OCCT: branch CR32585.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32585-master-KGV/

smoskvin

2021-09-25 09:05

administrator   ~0104351

Combination -
OCCT branch : IR-2021-09-24
master SHA - 3be25c11705b931ff623f372a24e3e1b2203899c
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-24 SHA - 87b937b1aaab0e7b9de6bee9b334ae2694f02413
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17446.850000000457 / 17398.820000000545 [+0.28%]
Products
---
Windows-64-VC14:
OCCT
Total CPU difference: 19308.25 / 19330.984375 [-0.12%]
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-25 09:44

administrator   ~0104365

Branch CR32585 has been deleted by mnt.

SHA-1: 4ecea68343c004c7dee780c0176729906be25497

Related Changesets

occt: master 3be25c11

2021-09-23 20:52:42

kgv


Committer: smoskvin Details Diff
0032585: Data Exchange, RWGltf_CafWriter - include OCCT version Affected Issues
0032585
mod - src/RWGltf/RWGltf_CafWriter.cxx Diff File

Issue History

Date Modified Username Field Change
2021-09-23 23:51 kgv New Issue
2021-09-23 23:51 kgv Assigned To => kgv
2021-09-23 23:51 kgv Summary Data Exchange, RWObj_CafWriter - include OCCT version => Data Exchange, RWGltf_CafWriter - include OCCT version
2021-09-23 23:51 kgv Description Updated
2021-09-23 23:53 git Note Added: 0104326
2021-09-23 23:53 kgv Relationship added child of 0030953
2021-09-24 10:08 kgv Test case number => N/A
2021-09-24 10:08 kgv Note Added: 0104327
2021-09-24 10:08 kgv Assigned To kgv => bugmaster
2021-09-24 10:08 kgv Status new => resolved
2021-09-24 10:09 kgv Status resolved => reviewed
2021-09-25 09:05 smoskvin Note Added: 0104351
2021-09-25 09:05 smoskvin Status reviewed => tested
2021-09-25 09:22 smoskvin Changeset attached => occt master 3be25c11
2021-09-25 09:22 smoskvin Assigned To bugmaster => smoskvin
2021-09-25 09:22 smoskvin Status tested => verified
2021-09-25 09:22 smoskvin Resolution open => fixed
2021-09-25 09:44 git Note Added: 0104365